{"components":{"schemas":{"AmlContact":{"properties":{"address":{"type":"string"},"coAddress":{"type":"string"},"country":{"type":"string"},"countryCode":{"type":"string"},"county":{"type":"string"},"emailAddress":{"type":"string"},"phoneNumber":{"type":"string"},"postalNumber":{"type":"string"}},"type":"object"},"AmlOperation":{"properties":{"notifiableOperation":{"type":"string"},"notifiableOperationText":{"type":"string"}},"type":"object"},"AmlRecord":{"properties":{"amlDeRegistrationDate":{"type":"string"},"amlRegistrationDate":{"type":"string"},"changeDate":{"type":"string"},"companyId":{"type":"string"},"companyName":{"type":"string"},"contacts":{"items":{"$ref":"#/components/schemas/AmlContact"},"type":"array"},"operations":{"items":{"$ref":"#/components/schemas/AmlOperation"},"type":"array"},"registrationDateTime":{"type":"string"},"supervisoryAuthority":{"type":"string"}},"type":"object"},"AmlResult":{"description":"Company aml result","properties":{"records":{"items":{"$ref":"#/components/schemas/AmlRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Fetch company aml information\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Aml","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/aml-registry-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"It supports date parameter to find aml information up to date","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AmlResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find aml information by company id","tags":["AmlSe"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/aml/1.0"}],"x-category":"company","x-countries":["se"],"x-id":"AmlApiSe"}